#PREPARACI DE LA INFORMACI

#lectura de les dades. ASSIGNAR LLOC ON ES TROBA L'ARXIU mrls.txt

dades<-read.table('f:/01_DOCENCIA/EE_II/T5/MRLS_CON_R/mrls_r.txt', header=T)

#Assignaci de les dades per a treballar com a objecte

attach(dades)


#DESCRIPTIU DE LA INFORMACI

#descriptiu salari

summary(dades$salari)
hist(dades$salari)
boxplot(dades$salari)

summary(dades$edat)
hist(dades$edat)
boxplot(dades$edat)


#descriptiu edat

#Grfic de dispersi de les variables edat i salari

plot(edat,salari)

#Correlaci entre edat i salari

cor(edat,salari)

#Contrast de Pearson de significaci de la correlaci entre edat i salari

cor.test(edat,salari)


#MODEL DE REGRESSI FORANT a=0

#execuci del MRLS salari=0+b*edat+u. 
#Simbol ~ es pot obtenint pitjant simultaniament ALT i el n 126

r1<-lm(salari~0+edat)

#Visualitzaci resultats de l'objecte r1

summary(r1)

#afegir al grfic la recta de regressi

plot(edat,salari, xlim=c(0,100), ylim=c(0,100))
abline(r1)

#MODEL DE REGRESSI salari=a+b*edat+u

#execuci del MRLS salari=a+b*edat+u i grfic
r2<-lm(salari~edat)
summary(r2)

#Aplicaci d'anova al model

anova(r2)
plot(edat,salari, xlim=c(0,100), ylim=c(0,100))
abline(r2)

#OUTPUT GRFIC DEL MODEL DE REGRESSI

#generaci d'una matriu grfica de 2x2
par(mfrow=c(2,2))


#l'output de l'objecte lm genera quatre grfics
#sino fem la matriu no posa els quatre grfics a una nica pantalla
#i haurem de clickar a cada grfic per passar al segent.

#grfic 1. grfic de valors ajustats vs. residus
# Permet valorar l'hiptesi de si hi ha un comportament  sistemtic als residus
#grfic 2. Grfic de Normalitat dels residus. 
#Quan ms a prop de la linia ms normalitat
#grfic 3. grfic de valors ajustats vs. residus estandaritzats
#(reescalament dels residus amb una estandaritzaci)
#grfic 4. Laverage vs. residus estandaritzats.
#Distncia de Cook que permet veure la distncia de cada residu.

plot(r2)

#ANLISI ESTADSTIC DELS RESIDUS

#extracci del residus com a objecte

res2<-resid(r2)

#contrast de NORMALITAT Shapiro-Wilk

shapiro.test(res2)

#PREDICCI PUNTUAL per edat de 32
#s'extreu de l'objecte r2, els coeficients del vector 2 x 1 de coeficientes
valexo<-32
alfa<-r2$coef[1]
beta<-r2$coef[2]

pred<-alfa+beta*valexo
pred







